import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/form/form_page.dart';
import '../../modules/form/apply/form_apply_screen.dart';
import '../../modules/form/submit/form_submit_screen.dart';
import '../../modules/form/approve/form_approve_screen.dart';
import '../../modules/form/not_approve/form_not_approve_screen.dart';

part 'form_page_router.gr.dart';

/*\
 * Form模块的路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class FormPageRouter extends _$FormPageRouter {
  @override
  List<AutoRoute> get routes => [
        CustomRoute(
          page: FormPageRoute.page,
          path: RouterPath.form,
          transitionsBuilder: applySlideTransition,
          children: [
            AutoRoute(page: FormApplyPageRoute.page, path: 'apply'),
            AutoRoute(page: FormSubmitPageRoute.page, path: 'submit'),
            AutoRoute(page: FormApprovePageRoute.page, path: 'approve'),
            AutoRoute(page: FormNotApprovePageRoute.page, path: 'not_approve'),
          ],
        ),
      ];
}
